version 2.3.6 client failing lz4 compression

How to customize and extend your OpenVPN installation.
Post Reply
jmeredith
OpenVpn Newbie
Posts: 3
Joined: Wed May 29, 2019 4:54 pm

version 2.3.6 client failing lz4 compression

Post by jmeredith » Wed May 29, 2019 5:04 pm

hey guys I have an untangle box running OpenVPN 2.4.0 im trying to connect a packer squirrel to the untangle box, the packet squirrel is running OpenVPN 2.3.6 and cant be updated.

Im getting errors related to compression, when I remove the compress-lz4 like from the client config, it will connect but cant maintain a connection.

when i include the lz4 compression on the client config, it errors out before it will even start. is there a way to push compress-lz4 to the client?

this is the error in the server log:
Bad LZ4 decompression header byte: 69



any help would be appreciated.

thanks!

User avatar
TinCanTech
OpenVPN Protagonist
Posts: 6167
Joined: Fri Jun 03, 2016 1:17 pm

Re: version 2.3.6 client failing lz4 compression

Post by TinCanTech » Wed May 29, 2019 5:31 pm

2.3.6 does not support --compress

jmeredith
OpenVpn Newbie
Posts: 3
Joined: Wed May 29, 2019 4:54 pm

Re: version 2.3.6 client failing lz4 compression

Post by jmeredith » Wed May 29, 2019 9:09 pm

right... i get that its not supported in 2.3.6, thats why I'm here...is there a solution?... what's the ramification of using no compression?

-J

jmeredith
OpenVpn Newbie
Posts: 3
Joined: Wed May 29, 2019 4:54 pm

Re: version 2.3.6 client failing lz4 compression

Post by jmeredith » Wed May 29, 2019 9:09 pm

right... i get that its not supported in 2.3.6, thats why I'm here...is there a solution?... what's the ramification of using no compression?

-J

User avatar
TinCanTech
OpenVPN Protagonist
Posts: 6167
Joined: Fri Jun 03, 2016 1:17 pm

Re: version 2.3.6 client failing lz4 compression

Post by TinCanTech » Wed May 29, 2019 9:29 pm

You will have to use --comp-lzo

Post Reply